Distribution:	CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	HDR image creation/manipulation tool
Name:		qtpfsgui
Version:	1.9.0
Release:	2
License:	GNU/GPL
URL:		http://qtpfsgui.sourceforge.net/
Group:		Graphics   
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	OpenEXR-devel
BuildRequires:	libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  glibc-devel
BuildRequires:  exiv2-devel
BuildRequires:  fftw-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Qtpfsgui is an open source graphical user interface application that aims to provide a workflow for HDR imaging.
Supported HDR formats: 
OpenEXR (extension: exr)
Radiance RGBE (extension: hdr)
Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff)
Raw image formats (extension: various)
PFS native format (extension: pfs)
Supported LDR formats: 
JPEG, PNG, PPM, PBM, TIFF(8 bit)
Supported features: 
Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and 16bit, RAW) of the same scene taken at different exposure setting.
Save and load HDR images.
Rotate and resize HDR images.
Tonemap HDR images.
Copy exif data between sets of images.
Supports internationalization.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
export PATH="/opt/qt4/bin $PATH"
/opt/qt4/bin/qmake PREFIX=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir/qtpfsgui
%_datadir/applications
%_datadir/icons


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-2
- rebuilt against exiv2 0.16
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-1
- Version update
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.12-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.12-1
- Initial Release
- beta 4
